Project

General

Profile

Feature #5049

Enable ttcn3 centos latest tests

Added by osmith about 2 months ago. Updated about 2 months ago.

Status:
In Progress
Priority:
Normal
Assignee:
Target version:
-
Start date:
02/26/2021
Due date:
% Done:

90%

Spec Reference:

Description

As we have new releases for all Osmocom components now, the centos packages should be available in the latest feed. The ttcn3 testsuites can now run against these.

Associated revisions

Revision effdb1a4 (diff)
Added by osmith about 2 months ago

debian-stretch-obs-latest: new container

Move common code from osmo-*-latest to debian-stretch-obs-latest:
  • add the OBS repository key
  • add the OBS repository with "latest" feed
  • install telnet
  • invalidate the cache once the repository is updated
This is in preparation to make osmo-*-latest work with centos8,
preventing the following issues we would have without this refactoring:
  • avoid need to read the repository index of both debian-stretch and
    centos8, and to invalidate the cache if either of them changes
    (instead of just the relevant one). This is currently a problem in
    osmo-*-master/Dockerfile, Id69f3eaf37f823bac0947366f27a25edd277a4cb
    will fix it there.
  • no need to add boilerplate code to install the centos8 repository to
    each osmo-*-latest/Dockerfile

While at it, also remove deprecated MAINTAINER lines.

Related: OS#5049
Related: https://docs.docker.com/engine/reference/builder/#maintainer-deprecated
Change-Id: I443d52eba416ea298cc5421e280ad2f4ca59283b

Revision 69b3ecb9 (diff)
Added by osmith about 2 months ago

osmo-*-latest: support centos8

Add a new centos8-obs-latest container with shared code (just like
debian-stretch-obs-latest) and adjust the package install blocks in
osmo-*-latest.

Related: OS#5049
Change-Id: I274b31d4903df07e99fd434af25bdb72991f6923

Revision 31daedcd (diff)
Added by osmith about 2 months ago

osmo-*-master: move common code to *-build

Move common code from osmo-*-master to debian-stretch-build and
centos8-build:
  • add the OBS repository key (debian only)
  • add the OBS repository with "nightly" feed (debian only, already done
    for centos8)
  • install telnet
  • invalidate the cache once the repository is updated

While at it, remove deprecated MAINTAINER lines.

This fixes the need to read both the repository index of debian-stretch
and centos8 and having to invalidate the cache if either of them changes
(instead of reading just the relevant index and invalidating the cache
only if the relevant one changes).

A similar change was done with osmo-*-latest in
I443d52eba416ea298cc5421e280ad2f4ca59283b.

Related: OS#5049
Related: https://docs.docker.com/engine/reference/builder/#maintainer-deprecated
Change-Id: Id69f3eaf37f823bac0947366f27a25edd277a4cb

Revision d5d20c7a (diff)
Added by osmith about 1 month ago

debian-stretch-build-dist: use -obs-latest

Change debian-stretch-build-dist to be based on
debian-stretch-obs-latest instead of debian-stretch-build. The latter
installs the nightly OBS repository now (as that is what we need for the
TTCN-3 builds using debian-stretch-build), but debian-stretch-build-dist
needs to install packages from OBS latest.

Fixes jenkins failures:
The following packages have unmet dependencies:
libasn1c-dev : Depends: osmocom-latest but it is not going to be installed
...

Related: OS#5049
Change-Id: I2cf6ed732e55b8f0e63bd8fc040749bd16676d0f

History

#1 Updated by osmith about 2 months ago

  • Status changed from New to In Progress

#2 Updated by osmith about 2 months ago

I've just configured OBS latest to not only build, but also publish, packages for ortp and libdbi and triggered a rebuild of these packages. This should fix the following error I got while testing some of the osmo-*-latest containers built against centos8:

 - nothing provides libortp.so.9()(64bit) needed by libosmotrau2-1.1.1-2.2.x86_64

Also available in: Atom PDF

Add picture from clipboard (Maximum size: 48.8 MB)